Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlCylinder Class Reference

`#include <GlCylinder.h>`

Inheritance diagram for tlp::GlCylinder:
[legend]
Collaboration diagram for tlp::GlCylinder:
[legend]

List of all members.

## Public Member Functions

- GlCylinder ()
- GlCylinder (const Coord &source, const Coord &head, float rad_source, float rad_head1, const Color &col_source, const Color &col_head, unsigned int nb_p)
- GlCylinder (const Coord &source, const Coord &head, const Coord &target, float rad_source, float rad_head1, float rad_head2, const Color &col_source, const Color &col_head, const Color &col_target, unsigned int nb_p)
- void buildCylinder ()
- virtual void draw (float lod, Camera *camera)
- virtual void translate (const Coord &mouvement)
- virtual void getXML (xmlNodePtr rootNode)
- virtual void setWithXML (xmlNodePtr rootNode)

## Constructor & Destructor Documentation

tlp::GlCylinder::GlCylinder | ( |  | ) | `[inline]`

tlp::GlCylinder::GlCylinder | ( | const Coord & | source,
|  | const Coord & | head,
|  | float | rad_source,
|  | float | rad_head1,
|  | const Color & | col_source,
|  | const Color & | col_head,
|  | unsigned int | nb_p
| ) |  |

Create a cylinder

tlp::GlCylinder::GlCylinder | ( | const Coord & | source,
|  | const Coord & | head,
|  | const Coord & | target,
|  | float | rad_source,
|  | float | rad_head1,
|  | float | rad_head2,
|  | const Color & | col_source,
|  | const Color & | col_head,
|  | const Color & | col_target,
|  | unsigned int | nb_p
| ) |  |

Create an arrow

## Member Function Documentation

void tlp::GlCylinder::buildCylinder | ( |  | ) |

Build the points lists

virtual void tlp::GlCylinder::draw | ( | float | lod,
|  | Camera * | camera
| ) |  | `[virtual]`

Draw the cylinder

Implements tlp::GlSimpleEntity.

virtual void tlp::GlCylinder::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Function to export data in XML

Implements tlp::GlSimpleEntity.

virtual void tlp::GlCylinder::setWithXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Function to set data with XML

Implements tlp::GlSimpleEntity.

virtual void tlp::GlCylinder::translate | ( | const Coord & | mouvement | ) | `[virtual]`

Translate entity

Reimplemented from tlp::GlSimpleEntity.

Tulip Software by LaBRI Visualization Team 2001 - 2012